Tab Layout

Change the layout schema of a tab (now called a dashboard) in the company or client account.

GET /tabs/{id}/layout

DescriptionGet the layout of a tab in the company or client account.
Permissionsdashboard.share
Resource URLhttps://app.klipfolio.com/api/1.0/tabs/{id}/layout
Parameterstab id={id}
optional: client_id

Example Request

GET https://app.klipfolio.com/api/1/tabs/fedcba9876543210fedcba9876543210/layout
GET https://app.klipfolio.com/api/1/tabs/fedcba9876543210fedcba9876543210/layout?client_id=0123456789abcdef0123456789abcdef

Example Response

{
    "meta": {
        "success": true,
        "status": 200
    },
    "data": {
        "type": "grid",
        "state": {
            "desktop": {
                "itemConfigs": [
                    {
                        "minHeight": 168,
                        "colSpan": 3,
                        "index": [
                            0,
                            0
                        ],
                        "id": "gridklip-abcdf6709cbaf1a9ba3d36e2f089f9ce",
                        "height": 548
                    },
                    {
                        "minHeight": 136,
                        "colSpan": 3,
                        "index": [
                            3,
                            0
                        ],
                        "id": "gridklip-efghd0b43ef5761de53677586c7c9836"
                    },
                    {
                        "minHeight": 402,
                        "colSpan": 3,
                        "index": [
                            3,
                            1
                        ],
                        "id": "gridklip-a3dc5e0b96b51bb7467ef19e008120ce"
                    }
                ],
                "colWidths": [
                    "auto",
                    "auto",
                    "auto",
                    "auto",
                    "auto",
                    "auto"
                ],
                "cols": 6
            }
        }
    }
}

PUT /tabs/{id}/layout

Description

Update the layout of the tab. The layout “type” refers to the size and number of Klip columns on the tab. The layout “state” is a JSON object representing the position of each Klip on the tab. Works in the company or client account.

Note: all details must be provided or Klips will be removed from dashboard when the command is run

Permissionsdashboard.share
Resource URLhttps://app.klipfolio.com/api/1.0/tabs/{id}/layout
Fieldstab id={id}
optional: client_id

Example Request

PUT https://app.klipfolio.com/api/1/tabs/fedcba9876543210fedcba9876543210/layout -d {'type':'100', 'state':{'04462abd3a38372173645f3b50128596':{'region': 'region-1', 'idx': 1}}} 
PUT https://app.klipfolio.com/api/1/tabs/fedcba9876543210fedcba9876543210/layout?client_id=0123456789abcdef0123456789abcdef -d {'type':'100', 'state':{'04462abd3a38372173645f3b50128596':{'region': 'region-1', 'idx': 1}}} 

Example Response

{
 "meta": {
     "status": 200,
     "success": true
 }
}